Subject: Re: bug#39379: 27.0.60; Fix for #38457 broke ido-vertical-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Feb 2020 17:40:34 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Mon, 3 Feb 2020 16:19:12 +0300
> 
> On 03.02.2020 0:33, Jimmy Yuen Ho Wong wrote:
> > That gets the prompt back but now the cursor is at the wrong place lol
> 
> I've suggested a workaround for that in the GitHub issue commends as 
> soon as you opened this bug report (2 days ago).

That's exactly the solution I had in mind.  I suggest that you push it
to the Emacs Git repository without waiting for the solution of the
larger issue (which will take me some time to design and test).

Btw, the reason you didn't see the problem is that the list of
candidates in your case was very small.  That's what the workaround
with ido-max-prospects <= 7 does when the list is longer.